static BMPosition Corsica_del[] = { 
{5,7},{7,7}, };

 
/**********************************************************/
/* Niveau XBlast 2.1.8                                    */
/* Genere par XBlastedit - Copyright 1997 Benjamin DRIEU  */
/**********************************************************/


static BMLevelData Corsica =
{
  /* Ici les generalites : titre, auteur, ressource, description,
     modes, ... */
  {
    "Welcome in Corsica",
    "Bocal : Benjamin DRIEU",
    "xblast.useCorsica",
    "If you eat, you're hit !",
    GM_Random|GM_23456_Player|GM_All,
    (void *) &Corsica,
    NULL,
  },

  /* Les informations sur la descente ou l'apparition des murs */
  {
    shrink_lazy_compound_f,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },

  /* Les fonctions utilisees lors du jeu */
  {
    special_init_void,
    special_game_void,
    special_extra_RC,
    special_key_RC,
  },

  /* Informations sur les joueurs: positiion, bombes, ... */
  {
    1, 2,
    {
      {1,1}, 
      {11,13}, 
      {1,13}, 
      {11,1}, 
      {6,5}, 
      {6,9}, 
    },
    PM_Polar, 2,
    IllBomb, IllBomb, IF_None,
  },

  /* Information sur les bombes: comportement, meche, ... */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSElong,
    BMTnormal, BMTnormal, BMTnormal
  },

  /* Informations sur le graphisme */
  {
    {
      {"chess_floor", "Black", "PapayaWhip", "Black",},
      {"chess_floor_S", "Black", "PapayaWhip", "Black",},
      {"book_shelf", "Black", "LimeGreen", "Chocolate",},
      {"book_shelf", "Black", "Firebrick3", "Chocolate",},
      {"chess_sphere", "Black", "PapayaWhip", "CornflowerBlue",},
      {"chess_sphere_O", "Black", "PapayaWhip", "CornflowerBlue",},
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_RC, 
      {"score_floor", "RoyalBlue", "RoyalBlue", "RoyalBlue",},
    },
  },

  /* Informations sur le niveau: carte, ombre, distributions, extras, ... */
  {
    ShadowNone, DEall,
    { 20, 35, 38, 58, 61 },
    { 
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,_,_,X,X,X,X,X,X,X,_,_,B, },
      { B,_,_,X,B,R,_,R,B,X,_,_,B, },
      { B,X,X,X,_,X,_,X,_,X,X,X,B, },
      { B,X,B,_,X,X,X,X,X,_,B,X,B, },
      { B,_,_,X,X,_,_,_,X,X,_,_,B, },
      { B,R,R,X,X,_,_,_,X,X,R,R,B, },
      { B,_,_,X,X,B,R,B,X,X,_,_,B, },
      { B,R,R,X,X,_,_,_,X,X,R,R,B, },
      { B,_,_,X,X,_,_,_,X,X,_,_,B, },
      { B,X,B,_,X,X,X,X,X,_,B,X,B, },
      { B,X,X,X,_,X,_,X,_,X,X,X,B, },
      { B,_,_,X,B,R,_,R,B,X,_,_,B, },
      { B,_,_,X,X,X,X,X,X,X,_,_,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};


/*************************************************************/
