static BMPosition evasion_draw[] = { 
{6,4},{5,5},{6,5},{7,5},{5,6},{6,6},{7,6},{4,7},{5,7},{6,7},{7,7},{8,7},{5,8},{6,8},{7,8},{5,9},{6,9},{7,9},{6,10}, };

static BMPosition evasion_del[] = { 
{6,4},{4,7},{8,7},{6,10}, };

 
/**********************************************************/
/* Niveau XBlast 2.1.8                                    */
/* Genere par XBlastedit - Copyright 1997 Benjamin DRIEU  */
/**********************************************************/

static BMLevelData evasion =
{
  /* Ici les generalites : titre, auteur, ressource, description,
     modes, ... */
  {
    "Evasion",
    "Bocal : BenJ",
    "xblast.useEvasion",
    "Une seule chose: courir !!!",
    GM_Random|GM_23456_Player|GM_All,
    (void *) &evasion,
    NULL,
  },

  /* Les informations sur la descente ou l'apparition des murs */
  {
    shrink_spiral_3,
    {(int)(0.13*GAME_TIME),19,evasion_draw},
    {(int)(0.12*GAME_TIME),4,evasion_del},
  },

  /* Les fonctions utilisees lors du jeu */
  {
    special_init_void,
    special_game_void,
    special_extra_special_bomb,
    special_key_special_bomb,
  },

  /* Informations sur les joueurs: positiion, bombes, ... */
  {
    3, 6,
    {
      {5,5}, 
      {7,5}, 
      {5,9}, 
      {7,9}, 
      {6,6}, 
      {6,8}, 
    },
    PM_Same, 1,
    IllRun, IllRun, IF_Kick,
  },

  /* Information sur les bombes: comportement, meche, ... */
  {
    bomb_click_snooker, bomb_click_contact, bomb_click_contact,
    GoStop, FUSEnormal,
    BMTnormal, BMTdestruction, BMTnormal
  },

  /* Informations sur le graphisme */
  {
    {
      {"karo_light", "Black", "sea green", "dark sea green",},
      {"karo_light_S", "Black", "sea green", "dark sea green",},
      {"wall", "Black", "NavajoWhite4", "Gold",},
      {"wall_R", "Black", "NavajoWhite4", "medium sea green",},
      {"score_mid_down", "Black", "ForestGreen", "LightSteelBlue",},
      {"chest_O", "Black", "ForestGreen", "LightSteelBlue",},
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_NAPALM, 
      {"score_floor", "Black", "Green", "SeaGreen",},
    },
  },

  /* Informations sur le niveau: carte, ombre, distributions, extras, ... */
  {
    ShadowFull, DEget,
    { 10, 20, 30, 40, 50 },
    { 
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,q,_,_,_,_,q,_,_,_,_,q,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,B,B,B,B,B,_,_,_,B, },
      { B,_,_,_,B,_,_,_,B,_,_,_,B, },
      { B,_,_,_,B,_,_,_,B,_,_,_,B, },
      { B,q,_,_,B,_,_,_,B,_,_,q,B, },
      { B,_,_,_,B,_,_,_,B,_,_,_,B, },
      { B,_,_,_,B,_,_,_,B,_,_,_,B, },
      { B,_,_,_,B,B,B,B,B,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,q,_,_,_,_,q,_,_,_,_,q,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};


/*************************************************************/
