/*
 * Programm XBLASTEDIT V0.6 or higher
 * (C) by Benjamin Drieu (e-mail: drieu@bocal.cs.univ-paris8.fr)
 * Jul 20st 1997
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public Licences as published
 * by the Free Software Foundation; either version 2; or (at your option)
 * any later version
 *
 * This program is distributed in the hope that it will entertaining,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILTY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Publis License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.
 * 675 Mass Ave, Cambridge, MA 02139, USA.
 */


 
/**********************************************************/
/* Niveau XBlast 2.1.8                                    */
/* Genere par XBlastedit - Copyright 1997 Benjamin DRIEU  */
/**********************************************************/

/* Ici commence la structure qui est celle comportant les
   informations sur le niveau: joueurs, bombes, grahismes, divers,
   ... */

static BMLevelData Lostcity =
{
  /* Ici les generalites : titre, auteur, ressource, description,
     modes, ... */
  {
    "the lost city",
    "Bocal : MaT",
    "xblast.usetheLostCity",
    "Discover  the treasure of the lost city",
    GM_Random|GM_23456_Player|GM_All,
    (void *) &Lostcity,
    NULL,
  },

  /* Les informations sur la descente ou l'apparition des murs */
  {
    shrink_speed_spiral,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },

  /* Les fonctions utilisees lors du jeu */
  {
    special_init_void,
    special_game_void,
    special_extra_RC,
    special_key_RC,
  },

  /* Informations sur les joueurs: positiion, bombes, ... */
  {
    3, 2,
    {
      {4,1}, 
      {4,11}, 
      {10,2}, 
      {11,11}, 
      {6,3}, 
      {9,9}, 
    },
    PM_Same, 1,
    Healthy, Healthy, IF_Kick,
  },

  /* Information sur les bombes: comportement, meche, ... */
  {
    bomb_click_snooker, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTrandom, BMTrandom
  },

  /* Informations sur le graphisme */
  {
    {
      {"hex", "Black", "SeaGreen", "DarkSeaGreen",},
      {"hex", "Black", "SeaGreen", "DarkSeaGreen",},
      {"weight", "black", "red", "NavajoWhite2",},
      {"weight", "Black", "Brown", "Gold",},
      {"hex_extra", "Black", "SeaGreen", "LightSteelBlue",},
      {"hex_wall", "Black", "SeaGreen", "LightSteelBlue",},
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_RC, 
      {"hex", "Black", "Green", "SeaGreen",},
    },
  },

  /* Informations sur le niveau: carte, ombre, distributions, extras, ... */
  {
    ShadowNone, DEall,
    { 10, 20, 30, 40, 50 },
    { 
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,X,_,_,_,_,_,_,_,_,X,X,B, },
      { B,X,_,X,B,B,_,B,B,_,_,_,B, },
      { B,X,_,_,_,_,_,_,X,X,X,_,B, },
      { B,_,B,B,B,B,X,B,B,B,B,_,B, },
      { B,_,B,_,_,_,_,X,X,X,B,_,B, },
      { B,_,_,_,X,X,_,_,_,_,_,_,B, },
      { B,X,B,B,B,B,_,B,B,B,B,_,B, },
      { B,X,X,X,_,_,_,_,X,_,_,_,B, },
      { B,_,B,X,X,X,_,X,X,_,B,X,B, },
      { B,_,B,B,B,B,_,B,B,B,B,X,B, },
      { B,X,X,_,_,_,_,X,X,X,_,_,B, },
      { B,X,_,_,B,B,_,B,B,X,_,X,B, },
      { B,_,_,X,_,_,_,_,_,_,_,X,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};


/*************************************************************/
