/*
 * Programm XBLASTEDIT V0.7 or higher
 * (C) by Benjamin Drieu (e-mail: drieu@bocal.cs.univ-paris8.fr)
 * Jul 20st 1997
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public Licences as published
 * by the Free Software Foundation; either version 2; or (at your option)
 * any later version
 *
 * This program is distributed in the hope that it will entertaining,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILTY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Publis License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.
 * 675 Mass Ave, Cambridge, MA 02139, USA.
 */


 
/**********************************************************/
/* Niveau XBlast 2.1.8                                    */
/* Genere par XBlastedit - Copyright 1997 Benjamin DRIEU  */
/**********************************************************/

/* Ici commence la structure qui est celle comportant les
   informations sur le niveau: joueurs, bombes, grahismes, divers,
   ... */

static BMLevelData anX =
{
  /* Ici les generalites : titre, auteur, ressource, description,
     modes, ... */
  {
    "give me an X!",
    "Bocal : naoko",
    "xblast.usegiveMeAnX",
    "you're in vietnam war.",
    GM_Random|GM_23456_Player|GM_All,
    (void *) &anX,
    NULL,
  },

  /* Les informations sur la descente ou l'apparition des murs */
  {
    shrink_void,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },

  /* Les fonctions utilisees lors du jeu */
  {
    special_init_void,
    special_game_void,
    special_extra_kick,
    special_key_RC,
  },

  /* Informations sur les joueurs: positiion, bombes, ... */
  {
    4, 7,
    {
      {4, 7}, 
      {8, 7}, 
      {6, 4}, 
      {6, 10}, 
      {4, 7}, 
      {8, 7}, 
    },
    PM_Same, 1,
    Healthy, Healthy, IF_None,
  },

  /* Information sur les bombes: comportement, meche, ... */
  {
    bomb_click_none, bomb_click_rebound, bomb_click_none,
    GoStop, FUSElong,
    BMTrandom, BMTnapalm, BMTnormal
  },

  /* Informations sur le graphisme */
  {
    {
      {"chess_floor", "Black", "medium purple", "DarkKhaki",},
      {"chess_floor_S", "Black", "medium purple", "DarkKhaki",},
      {"pyramid", "Black", "MediumOrchid4", "MediumVioletRed",},
      {"pyramid", "Black", "MediumVioletRed", "Black",},
      {"chest", "black", "Turquoise4", "light cyan",},
      {"chest_O", "Black", "Turquoise3", "light cyan",},
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_KICK, 
      {"karo_light", "Black", "Black", "Black",},
    },
  },

  /* Informations sur le niveau: carte, ombre, distributions, extras, ... */
  {
    ShadowFull, DEall,
    { 15, 24, 34, 47, 57 },
    { 
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,X,X,_,_,_,_,_,_,_,X,X,B, },
      { B,X,X,X,_,_,_,_,_,X,X,X,B, },
      { B,_,X,X,X,_,_,_,X,X,X,_,B, },
      { B,_,_,X,X,X,_,X,X,X,_,_,B, },
      { B,_,_,_,X,X,X,X,X,_,_,_,B, },
      { B,_,_,_,_,X,B,X,_,_,_,_,B, },
      { B,_,_,_,_,X,B,X,_,_,_,_,B, },
      { B,_,_,_,_,X,B,X,_,_,_,_,B, },
      { B,_,_,_,X,X,X,X,X,_,_,_,B, },
      { B,_,_,X,X,X,_,X,X,X,_,_,B, },
      { B,_,X,X,X,_,_,_,X,X,X,_,B, },
      { B,X,X,X,_,_,_,_,_,X,X,X,B, },
      { B,X,X,_,_,_,_,_,_,_,X,X,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};


/*************************************************************/
